%define anolis_release 2

%global debug_package %{nil}
%global kernel_version %(rpm -qa kernel-devel | sed -e 's/kernel-devel-//g')

Name:           kmod-intel_dlb2
Version:        7.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Intel DLB2 Driver

License:        GPLv3+
URL:            https://www.intel.com/content/www/us/en/download/686372/intel-dynamic-load-balancer.html
Source0:        https://downloadmirror.intel.com/734482/%{name}-%{version}.tar.gz
Source1:        kmod-intel_dlb2-7.7.0.tar.gz

ExclusiveArch:  x86_64

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  kernel >= 5.10.112
BuildRequires:  kernel-devel >= 5.10.112

%description
Implementation of the dlb2 driver

%prep
%setup -q

%build
%make_build

%install
make modules DESTDIR="%{?buildroot}"
mkdir -p %{buildroot}/lib/modules/%{kernel_version}/extra
cp -ap dlb2.ko %{buildroot}/lib/modules/%{kernel_version}/extra

%files
%doc README
/lib/modules/%{kernel_version}/extra/dlb2.ko

%changelog
* Wed Sep 7 2022 Guanjun <guanjun@linux.alibaba.com> - 7.7.0-2
- rename the package name to kmod-intel_dlb2

* Thu Aug 11 2022 root <arun.kumar.rajendra.kumar@intel.com> - 7.7.0-1
- dlb2 driver rpm package
